fv::MapOver< Ret(ArgTypes...)> Class Template Reference
Inheritance diagram for fv::MapOver< Ret(ArgTypes...)>:
[legend]
Collaboration diagram for fv::MapOver< Ret(ArgTypes...)>:
[legend]

## Public Member Functions

| MapOver (Function< Ret(ArgTypes...)> &fn, Zip< ArgTypes... > *arg, const std::string &alias)
Public Member Functions inherited from fv::DerivedValue< std::vector< Ret > >
| DerivedValue (const std::string &name, const std::string &alias="")
std::vector< Ret > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::vector< Ret > >
| Value (const std::string &name, const std::string &alias="")
Public Member Functions inherited from fv::GenValue
| GenValue (const std::string &name, const std::string &alias)
const std::string & | get_name ()
void | set_name (const std::string &new_name)

## Private Member Functions

void | update_value ()
| Updates the internal value. More...

## Private Attributes

Function< Ret(ArgTypes...)> & | fn
Zip< ArgTypes... > * | arg

## Additional Inherited Members

Static Public Member Functions inherited from fv::GenValue
static void | reset ()
static GenValue * | get_value (const std::string &name)
static void | alias (const std::string &name, GenValue *value)
static GenValue * | alias (const std::string &name)
static std::string | summary ()
Protected Attributes inherited from fv::DerivedValue< std::vector< Ret > >
std::vector< Ret > | value
bool | value_valid
Static Protected Attributes inherited from fv::GenValue
static std::map< const std::string, GenValue * > | values
| A static mapping containing all created Value objects. More...
static std::map< const std::string, GenValue * > | aliases
| Composite value names are typically nested. More...

## Member Function Documentation

## update_value()

template<typename Ret , typename... ArgTypes>

void fv::MapOver< Ret(ArgTypes...)>::update_value | ( |  | ) |

inlineprivatevirtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::vector< Ret > >.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp